module Vr3to8deca_ansi( input wire G1, G2, G3,
                        input wire [2:0] A,
                        output reg [0:7] Y    );

  always @ (G1 or G2 or G3 or A) begin
    if (G1 & G2 & G3) 
      case (A)
        0: Y = 8'b10000000;
        1: Y = 8'b01000000;
        2: Y = 8'b00100000;
        3: Y = 8'b00010000;
        4: Y = 8'b00001000;
        5: Y = 8'b00000100;
        6: Y = 8'b00000010;
        7: Y = 8'b00000001;
        default: Y = 8'b00000000;
      endcase
    else Y = 8'b00000000;
  end
endmodule