module Vr3statex(G_L,SEL,A,B,C,D,X);
    input G_L;
    input [1:0] SEL;
    input [1:8] A;
    input [1:8] B;
    input [1:8] C;
    input [1:8] D;
    output [1:8] X;
    reg [1:8] X;

    always @ (G_L or SEL or A, B or C or D)
      if (G_L==1'b0)
        case (SEL)
          0: X = A;
          1: X = B;
          2: X = C;
          3: X = D;
        endcase
      else X = 8'bz;
endmodule
