module Vradders(A, B, C, D, S, T, OVFL, COUT);
  input [7:0] A, B, C, D;
  output [7:0] S, T;
  output OVFL, COUT;

  // S and OVFL -- signed interpretation
  assign S = A + B;
  assign OVFL = (A[7] == B[7]) && (S[7] != A[7]);
  // T and COUT -- unsigned interpretation
  assign {COUT, T} = C + D;
endmodule